job:
  script:
    - echo "Pulling AppCycles configuration file (/.AppCycles/config.yml)"
    - NAME=$(cat .AppCycles/config.yml | grep 'name:' | awk '{print $2}')
    - TYPE=$(cat .AppCycles/config.yml | grep 'type:' | awk '{print $2}')
    - NODE_BUILD=$(cat .AppCycles/config.yml | grep 'nodeBuild:' | awk '{print $2}')
    - DOCKER_BUILD=$(cat .AppCycles/config.yml | grep 'dockerBuild:' | awk '{print $2}')
    - HELM_BUILD=$(cat .AppCycles/config.yml | grep 'helmBuild:' | awk '{print $2}')
    - SKIP_EMAIL_NOTIFICATIONS=$(cat .AppCycles/config.yml | grep 'skipEmailNotifications:' | awk '{print $2}')
    - echo $NODE_BUILD

node build:
  script:
    - echo "Running build process"
    - npm run build
  rules:
    - if: '$NODE_BUILD == "true"'
    
